Class | Chef::Provider::Package::Freebsd
In: | lib/chef/provider/package/freebsd.rb
Parent: | Chef::Provider::Package

### Methods

current_installed_version install_package latest_link_name load_current_resource new package_name port_path ports_candidate_version ports_makefile_variable_value remove_package

### Included Modules

Chef::Mixin::ShellOut Chef::Mixin::GetSourceFromPackage

### Public Class methods

new(*args)

### Public Instance methods

current_installed_version()
install_package(name, version)
latest_link_name()
load_current_resource()
package_name()

The name of the package (without the version number) as understood by pkg_add and pkg_info

port_path()
ports_candidate_version()
ports_makefile_variable_value(variable)
remove_package(name, version)

[Validate]